Un agujero de seguridad en Java afecta a las versiones 5, 6 y 7

SeguridadVirus

Se trata de una vulnerabilidad crítica que puede ser explotada en equipos Windows, Mac, Linux y Solaris a través de cualquier navegador.

Los expertos en seguridad han vuelto a descubrir un nuevo fallo en Java que permitiría a los hackers saltarse las barreras de protección en todas las versiones recientes del software.

“El impacto de este problema es crítico, ya que hemos sido capaces de explotarlo con éxito y ejecutar código fuera del sandbox de Java SE 5, 6 y 7”, comenta Adam Gowdiak, uno de los investigadores responsables del hallazgo, que trabaja para Security Explorations. Y añade que el agujero ha puesto a cerca de ” mil millones de usuarios en situación de riesgo”.

Esto es así porque el agujero es penetrable desde cualquier máquina, independientemente de que corra Windows 7 de 32 o 64 bits, Mac OS X, Linux o Solaris, a través de navegadores tan populares como Firefox, Chrome, Internet Explorer, Opera y Safari.

“Un applet malicioso de Java que explote este nuevo problema podría funcionar sin restricciones en el contexto de un proceso de Java como una aplicación de navegador Web”, sigue explicando Gowdiak, tal y como recoge Ars Technica. “Un atacante podría instalar programas y a continuación ver, cambiar o eliminar datos con los mismos privilegios que un usuario con sesión iniciada”.

Esta no es la primera vez que este profesional y su equipo encuentran un fallo de Java. En su historial cuenta con 50 avisos a Oracle, entre ellos el de hace una semanas para Java 7 Update 7.

Leer la biografía del autor  Ocultar la biografía del autor